<template>
  <v-app>
    <v-overlay :value="sdkLoading">
      <v-progress-circular indeterminate size="64">
        <v-card-title>Loading SDK</v-card-title>
      </v-progress-circular>
    </v-overlay>
    <router-view />
  </v-app>
</template>

<script>
export default {
  computed: {
    sdkLoading() {
      return this.$store.state.Auth.loading;
    },
  },
  methods: {
    async initFacebook() {
      window.fbAsyncInit = function () {
        window.FB.init({
          appId: "621652905210404", //You will need to change this
          cookie: true, // This is important, it's not enabled by default
          version: "v13.0",
        });
      };
    },
    async loadFacebookSDK(d, s, id) {
      this.$store.commit("setLoading", true);
      return new Promise((resolve) => {
        var js,
          fjs = d.getElementsByTagName(s)[0];
        if (d.getElementById(id)) {
          resolve()
          return;
        }
        js = d.createElement(s);
        js.id = id;
        js.src = "https://connect.facebook.net/en_US/sdk.js";
        fjs.parentNode.insertBefore(js, fjs);
        resolve()
      });
    },
  },
  async created() {
    await this.loadFacebookSDK(document, "script", "facebook-jssdk").then(async () => {
      this.$store.commit('setLoading',false)
       await this.initFacebook();
    })
   
  },
};
</script>
